Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyFieldDoc

- org.codehaus.groovy.groovydoc.GroovyDoc

- All Superinterfaces:
    GroovyMemberDoc, GroovyProgramElementDoc, GroovyDoc

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `constantValue()`
    `` | `String` | `constantValueExpression()`
    `` | `boolean` | `isTransient()`
    `` | `boolean` | `isVolatile()`
    `` | `GroovyType` | `type()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GroovyMemberDoc` | `isSynthetic`
    `interface GroovyProgramElementDoc` | `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName`
    `interface GroovyDoc` | `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`
    `interface Comparable` | `compareTo`

- - ### Method Detail

    - #### public Object constantValue()

    - #### public String constantValueExpression()

    - #### public boolean isTransient()

    - #### public boolean isVolatile()

    - #### public GroovyType type()